Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source
Class XmlSourceEditorFactory

    java.lang.Object
      com.eviware.soapui.impl.wsdl.panels.request.components.editor.views.source.XmlSourceEditorFactory

All Implemented Interfaces:
  RequestEditorViewFactory, ResponseEditorViewFactory, XmlEditorViewFactory

    public class XmlSourceEditorFactory

extends java.lang.Object
implements ResponseEditorViewFactory, RequestEditorViewFactory

Factory for default "XML" source editor view in soapUI

Author:
  ole.matzura

Nested Class Summary
`static class` | `XmlSourceEditorFactory.WsdlMockRequestXmlSourceEditor` XmlSource editor for a WsdlMockRequest
`static class` | `XmlSourceEditorFactory.WsdlMockResponseXmlSourceEditor` XmlSource editor for a WsdlMockResponse
`static class` | `XmlSourceEditorFactory.WsdlRequestXmlSourceEditor` XmlSource editor for a WsdlRequest
`static class` | `XmlSourceEditorFactory.WsdlResponseXmlSourceEditor` XmlSource editor for a WsdlResponse

Field Summary
`static java.lang.String` | `VIEW_ID`

Constructor Summary
`XmlSourceEditorFactory()`

Method Summary
`XmlEditorView` | `createEditorView(XmlEditor editor)`
`XmlEditorView` | `createRequestEditorView(XmlEditor editor, ModelItem modelItem)`
`XmlEditorView` | `createResponseEditorView(XmlEditor editor, ModelItem modelItem)`
`java.lang.String` | `getViewId()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VIEW_ID

    public static final java.lang.String VIEW_ID

See Also:
  Constant Field Values

Constructor Detail

### XmlSourceEditorFactory

    public XmlSourceEditorFactory()

Method Detail

### createEditorView

    public XmlEditorView createEditorView(XmlEditor editor)

### getViewId

    public java.lang.String getViewId()

  Specified by:
    `getViewId` in interface `XmlEditorViewFactory`

### createRequestEditorView

    public XmlEditorView createRequestEditorView(XmlEditor editor,
                                                 ModelItem modelItem)

  Specified by:
    `createRequestEditorView` in interface `RequestEditorViewFactory`

### createResponseEditorView

    public XmlEditorView createResponseEditorView(XmlEditor editor,
                                                  ModelItem modelItem)

  Specified by:
    `createResponseEditorView` in interface `ResponseEditorViewFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.